JaxbMapElement.JaxbMapKey (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.hbm
Class JaxbMapElement.JaxbMapKey

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.hbm.JaxbMapElement.JaxbMapKey

Enclosing class:
  JaxbMapElement

    public static class JaxbMapElement.JaxbMapKey

extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice maxOccurs="unbounded" minOccurs="0">
               <element name="column" type="{http://www.hibernate.org/xsd/hibernate-mapping}column-element"/>
               <element name="formula" type="{http://www.w3.org/2001/XMLSchema}string"/>
             </choice>
             <element name="type" type="{http://www.hibernate.org/xsd/hibernate-mapping}type-element" minOccurs="0"/>
           </sequence>
           <attribute name="column" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="formula" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="length" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="node" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="type" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected String` | `column`
`protected List<Object>` | `columnOrFormula`
`protected String` | `formula`
`protected String` | `length`
`protected String` | `node`
`protected JaxbTypeElement` | `type`
`protected String` | `typeAttribute`

Constructor Summary
`JaxbMapElement.JaxbMapKey()`

Method Summary
`String` | `getColumn()` Gets the value of the column property.
`List<Object>` | `getColumnOrFormula()` Gets the value of the columnOrFormula property.
`String` | `getFormula()` Gets the value of the formula property.
`String` | `getLength()` Gets the value of the length property.
`String` | `getNode()` Gets the value of the node property.
`JaxbTypeElement` | `getType()` Gets the value of the type property.
`String` | `getTypeAttribute()` Gets the value of the typeAttribute property.
`void` | `setColumn(String value)` Sets the value of the column property.
`void` | `setFormula(String value)` Sets the value of the formula property.
`void` | `setLength(String value)` Sets the value of the length property.
`void` | `setNode(String value)` Sets the value of the node property.
`void` | `setType(JaxbTypeElement value)` Sets the value of the type property.
`void` | `setTypeAttribute(String value)` Sets the value of the typeAttribute property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### columnOrFormula

    protected List<Object> columnOrFormula

### type

    protected JaxbTypeElement type

### column

    protected String column

### formula

    protected String formula

### length

    protected String length

### node

    protected String node

### typeAttribute

    protected String typeAttribute

Constructor Detail

### JaxbMapElement.JaxbMapKey

    public JaxbMapElement.JaxbMapKey()

Method Detail

### getColumnOrFormula

    public List<Object> getColumnOrFormula()

  Gets the value of the columnOrFormula property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the columnOrFormula property.

  For example, to add a new item, do as follows:

          getColumnOrFormula().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbColumnElement` `String`

### getType

    public JaxbTypeElement getType()

  Gets the value of the type property.

  Returns:
    possible object is `JaxbTypeElement`

### setType

    public void setType(JaxbTypeElement value)

  Sets the value of the type property.

  Parameters:
    `value` - allowed object is `JaxbTypeElement`

### getColumn

    public String getColumn()

  Gets the value of the column property.

  Returns:
    possible object is `String`

### setColumn

    public void setColumn(String value)

  Sets the value of the column property.

  Parameters:
    `value` - allowed object is `String`

### getFormula

    public String getFormula()

  Gets the value of the formula property.

  Returns:
    possible object is `String`

### setFormula

    public void setFormula(String value)

  Sets the value of the formula property.

  Parameters:
    `value` - allowed object is `String`

### getLength

    public String getLength()

  Gets the value of the length property.

  Returns:
    possible object is `String`

### setLength

    public void setLength(String value)

  Sets the value of the length property.

  Parameters:
    `value` - allowed object is `String`

### getNode

    public String getNode()

  Gets the value of the node property.

  Returns:
    possible object is `String`

### setNode

    public void setNode(String value)

  Sets the value of the node property.

  Parameters:
    `value` - allowed object is `String`

### getTypeAttribute

    public String getTypeAttribute()

  Gets the value of the typeAttribute property.

  Returns:
    possible object is `String`

### setTypeAttribute

    public void setTypeAttribute(String value)

  Sets the value of the typeAttribute property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.